# kieker-javascript-advice-function

> An advice, that is able to gather probes from called functions, both before the call and after the call

## Install

```
$ npm install --save kieker-javascript-advice-function
```

## Usage

For general usage see [kieker-javascript-core](../kieker-javascript-core/readme.md).
The detailed options for this module are explained below

## Options

### Javascript

On the Javascript side there are no options available. 

### Automatic Instrumentation

You may have this in the advices array in the kieker configuration part of the `package.json` look
```json
{
    "type": "function",
    "exclude": {
    	"anonymous": false,
      	"name": "private_*"
    }
  }
```

#### type

For this advice has to be function, it is always the same is as the part after `kieker-javascript-advice-` for kieker javascript advices.

#### exclude

An object which defines in an additive way which functions shall be excluded, e.g. here anonymous ones or ones with the name `"private_...."`.

## License

MIT © [Daniel Schmidt](http://danielmschmidt.de)
